org.gradle.tooling.model.idea

## Interface IdeaModule

- All Superinterfaces:
    Element, HasGradleProject, HierarchicalElement, Model

      public interface IdeaModule
      extends HierarchicalElement, HasGradleProject

  Represents information about the IDEA module.
  Since:
    1.0-milestone-5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdeaCompilerOutput` | `getCompilerOutput()` information about idea compiler output (output dirs, inheritance of output dir, etc.)
    `DomainObjectSet<? extends IdeaContentRoot>` | `getContentRoots()` All content roots.
    `DomainObjectSet<? extends IdeaDependency>` | `getDependencies()` dependencies of this module (i.e.
    `GradleProject` | `getGradleProject()` The gradle project that is associated with this module.
    `IdeaProject` | `getParent()` Returns the project of this module.
    `IdeaProject` | `getProject()` Returns the project of this module.

    - ### Methods inherited from interface org.gradle.tooling.model.HierarchicalElement

      `getChildren`

    - ### Methods inherited from interface org.gradle.tooling.model.Element

      `getDescription, getName`

- - ### Method Detail

    - #### getContentRoots

          DomainObjectSet<? extends IdeaContentRoot> getContentRoots()

      All content roots. Most idea modules have a single content root.
      Returns:
        content roots

    - #### getGradleProject

          GradleProject getGradleProject()

      The gradle project that is associated with this module. Typically, a single module corresponds to a single gradle project.

      See `HasGradleProject`

      Specified by:
        `getGradleProject` in interface `HasGradleProject`
      Returns:
        associated gradle project

    - #### getParent

          IdeaProject getParent()

      Returns the project of this module. Alias to `getProject()`
      Specified by:
        `getParent` in interface `HierarchicalElement`
      Returns:
        idea project

    - #### getProject

          IdeaProject getProject()

      Returns the project of this module. Alias to `getParent()`
      Returns:
        idea project

    - #### getCompilerOutput

          IdeaCompilerOutput getCompilerOutput()

      information about idea compiler output (output dirs, inheritance of output dir, etc.)

    - #### getDependencies

          DomainObjectSet<? extends IdeaDependency> getDependencies()

      dependencies of this module (i.e. module dependencies, library dependencies, etc.)
      Returns:
        dependencies